Page MenuHomePhabricator

Fix minimal-json JAR not being included.
ClosedPublic

Authored by Hackintosh5 on Mar 1 2019, 2:27 PM.

Details

Summary

Still use jar target for a fat build.
New dependencies must be added to fatJar also, and updates should do that too.
Makes the library actually "usable" although it doesn't have enough features for a real use yet.

Test Plan

See if a runtime error occurs about minimal-json

Diff Detail

Repository
rLIBWFJVA WildFyre Java Libary
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Hackintosh5 created this revision.Mar 1 2019, 2:27 PM
Harbormaster completed remote builds in B590: Diff 799.
WyldBot accepted this revision.Mar 27 2019, 3:33 PM
This revision is now accepted and ready to land.Mar 27 2019, 3:33 PM

This diff originates from beb6067caf9de614852fd499083d28871c270d43 which I do not have. I cannot land it.

Hmmm I've nuked my source tree so if it's not there it's not there. Is there a way to just apply the diff?

If you remember around where it was from (eg. around which commit on the master branch), I should be able to apply it :)

CLOVIS added a comment.EditedApr 22 2019, 6:58 AM

Can you explain why this is important? Also, the dependencies are duplicated now (implementation and fatJar), it this really needed? @Hackintosh5

I have no idea when no.
And yes, they must be duplicated.

I just searched phabricator the commit is not here, even in unmerged diffs. I'll abandon this and open a new one against master, I suppose

I'll do it, but GitLab CI needs to be landed first

Hackintosh5 updated this revision to Diff 889.Apr 25 2019, 10:20 AM

Fix minimal-json JAR not being included.

Still use jar target for a fat build.
New dependencies must be added to fatJar also, and updates should do that too.

This revision now requires review to proceed.Apr 25 2019, 10:20 AM

Why do you have so many changes? I thought it was just 2 lines in build.gradle

CLOVIS requested changes to this revision.Apr 25 2019, 10:22 AM
This revision now requires changes to proceed.Apr 25 2019, 10:22 AM

Arc broke. I didn't update the copyrights.

Hackintosh5 updated this revision to Diff 890.Apr 25 2019, 11:49 AM

Fix minimal-json JAR not being included.

Still use jar target for a fat build.
New dependencies must be added to fatJar also, and updates should do that too.

Right, it applies over master now.

WyldBot accepted this revision.May 12 2019, 2:25 PM
CLOVIS accepted this revision.May 13 2019, 2:15 AM
This revision is now accepted and ready to land.May 13 2019, 2:15 AM
This revision was automatically updated to reflect the committed changes.
This revision was automatically updated to reflect the committed changes.